# Class EffectSporeAbAttr

#### Hierarchy (view full)

- PostDefendContactApplyStatusEffectAbAttr
  - EffectSporeAbAttr

- Defined in src/data/ability.ts:786

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new EffectSporeAbAttr(): EffectSporeAbAttr

- #### Returns EffectSporeAbAttr

  Overrides PostDefendContactApplyStatusEffectAbAttr.constructor

  - Defined in src/data/ability.ts:787

## Properties

### showAbility

showAbility: boolean

Inherited from PostDefendContactApplyStatusEffectAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostDefendContactApplyStatusEffectAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostDefendContactApplyStatusEffectAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostDefend

- applyPostDefend(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  Overrides PostDefendContactApplyStatusEffectAbAttr.applyPostDefend

  - Defined in src/data/ability.ts:791

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostDefendContactApplyStatusEffectAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostDefendContactApplyStatusEffectAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137